# Module bitflags::__core::f32::consts [−] [src]

Basic mathematical constants.

## Constants

E | Euler's number
FRAC_1_PI | 1.0/pi
FRAC_1_SQRT_2 | 1.0/sqrt(2.0)
FRAC_2_PI | 2.0/pi
FRAC_2_SQRT_PI | 2.0/sqrt(pi)
FRAC_PI_2 | pi/2.0
FRAC_PI_3 | pi/3.0
FRAC_PI_4 | pi/4.0
FRAC_PI_6 | pi/6.0
FRAC_PI_8 | pi/8.0
LN_10 | ln(10.0)
LN_2 | ln(2.0)
LOG10_E | log10(e)
LOG2_E | log2(e)
PI | Archimedes' constant
SQRT_2 | sqrt(2.0)

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)